Operating System, CentOS 7, is not supported with the newer cPanel versions

0

seeing the alert on our server below:

"Newer releases of cPanel & WHM are not compatible with your operating system. Upgrade your OS, or use the Update Preferences screen to select a Long-Term Support release for use with your OS. cPanel & WHM 11.114.0.7 supports AlmaLinux 8/9, CloudLinux® 8, Rocky Linux™ 8/9, Ubuntu 20 only. Please see our OS End of Life policy for more information."

I reaeched out to CPanel and they recommended maybe a new operating system? What are our options? We also have instances that we were never able to get installed on the server, maybe we can get this done as well? We might not even need the extra space as we found out what was taking all the space up on the server.

How can we get this fixed. Thank you,

asked 7 months ago855 views
1 Answer
0

As per What to know about CentOS Linux EOL, CentOS Linux 7 will reach end of life (EOL) on June 30, 2024. OS supported by newer cPanel versions are listed at What operating systems are supported by cPanel? . As it is, cPanel 110 LTS supports CentOS 7 and is supported till June 2024.

You will have to decide on the upgrade path from CentOS 7. This can be a new OS on a separate instance after which you migrate the data and files over. Or it could be an in-place upgrade from CentOS 7 to a supported OS.

I do not have much experience with this. AlmaLinux has a Elevate tool that can perform an in-place upgrade from CentOS 7 to Alma Linux, Rocky Linux and other supported distributions. Or that page, there is mention of cPanel ELevate Project

AWS
EXPERT
Mike_L
answered 7 months ago

You are not logged in. Log in to post an answer.

A good answer clearly answers the question and provides constructive feedback and encourages professional growth in the question asker.

Guidelines for Answering Questions